# Py Trees Msgs

## Status

| | ROS2/Bouncy | ROS1/Melodic | ROS1/Kinetic |
|:---:|:---:|:---:|:---:|
| **Sources** | [![devel-Sources][devel-sources-image]][devel-sources] | [![Melodic-Sources][melodic-sources-image]][melodic-sources] | [![Kinetic-Sources][kinetic-sources-image]][kinetic-sources] |
| **Jenkins** | - | [![melodic-Status][melodic-build-status-image]][melodic-build-status] | [![kinetic-Status][kinetic-build-status-image]][kinetic-build-status] | |
| **Docs** | - | [![Melodic-Docs][melodic-docs-image]][melodic-docs] | [![Kinetic-Docs][kinetic-docs-image]][kinetic-docs] | |

[license-image]: https://img.shields.io/badge/License-BSD%203--Clause-orange.svg?style=plastic
[license]: LICENSE

[devel-sources-image]: http://img.shields.io/badge/sources-devel-blue.svg?style=plastic
[melodic-sources-image]: http://img.shields.io/badge/sources-0.3.x-blue.svg?style=plastic
[kinetic-sources-image]: http://img.shields.io/badge/sources-0.3.x-blue.svg?style=plastic

[devel-sources]: https://github.com/stonier/py_trees_msgs/tree/devel
[melodic-sources]: https://github.com/stonier/py_trees_msgs/tree/release/0.3-melodic
[kinetic-sources]: https://github.com/stonier/py_trees_msgs/tree/release/0.3-kinetic

[devel-build-status-image]: http://build.ros.org/job/Mbin_uB64__py_trees__ubuntu_bionic_amd64__binary/badge/icon?style=plastic
[devel-build-status]: https://circleci.com/gh/stonier/py_trees/tree/devel
[bouncy-build-status-image]: http://build.ros.org/job/Mbin_uB64__py_trees__ubuntu_bionic_amd64__binary/badge/icon?style=plastic
[bouncy-build-status]: http://build.ros.org/job/Mbin_uX64__py_trees__ubuntu_bionic_amd64__binary
[melodic-build-status-image]: http://build.ros.org/job/Mbin_uB64__py_trees_msgs__ubuntu_bionic_amd64__binary/badge/icon?style=plastic
[melodic-build-status]: http://build.ros.org/job/Mbin_uB64__py_trees_msgs__ubuntu_bionic_amd64__binary
[kinetic-build-status-image]: http://build.ros.org/job/Kbin_uX64__py_trees_msgs__ubuntu_xenial_amd64__binary/badge/icon?style=plastic
[kinetic-build-status]: http://build.ros.org/job/Kbin_uX64__py_trees_msgs__ubuntu_xenial_amd64__binary

[devel-docs-image]: https://readthedocs.org/projects/py-trees/badge/?version=devel&style=plastic
[devel-docs]: http://py-trees.readthedocs.io/
[bouncy-docs-image]: https://readthedocs.org/projects/py-trees/badge/?version=release-0.5.x&style=plastic
[bouncy-docs]: http://py-trees.readthedocs.io/en/release-0.5.x/
[melodic-docs-image]: http://build.ros.org/job/Mdoc__py_trees_msgs__ubuntu_bionic_amd64/badge/icon?style=plastic
[melodic-docs]: http://build.ros.org/job/Mdoc__py_trees_msgs__ubuntu_bionic_amd64
[kinetic-docs-image]: http://build.ros.org/job/Kdoc__py_trees_msgs__ubuntu_xenial_amd64/badge/icon?style=plastic
[kinetic-docs]: http://build.ros.org/job/Kdoc__py_trees_msgs__ubuntu_xenial_amd64


## Getting Started

Refer to the sphinx documentation for [py_trees](http://py-trees.readthedocs.io/en/devel/) as a primer and reference on behaviour trees & [py_trees_ros](https://stonier.github.io/py_trees_ros/) for tutorials on getting started with behaviour trees in ROS.

## PyTrees in ROS

This repository provides the `py_trees` related ROS message definitions only, however additional modules & documentation are available for using `py_trees` with `ROS` that provide ROS-

| | [ROS2/Bouncy][bouncy-repository] | [ROS1/Melodic][melodic-repository] | [ROS1/Kinetic][kinetic-repository] |
|:---:|:---:|:---:|:---:|
| py_trees | [![0.7.x][0.7.x-sources-image]][py-trees-0.7.x] | [![0.6.x][0.6.x-sources-image]][py-trees-0.6.x] | [![0.5.x][0.5.x-sources-image]][py-trees-0.5.x] |
| py_trees-msgs | - | [![0.3.x][0.3.x-sources-image]][py-trees-msgs-melodic] | [![0.3.x][0.3.x-sources-image]][py-trees-msgs-kinetic] |
| py_trees-ros | - | [![0.5.x][0.5.x-sources-image]][py-trees-ros-melodic] | [![0.5.x][0.5.x-sources-image]][py-trees-ros-kinetic] |
| rqt_py_trees | - | [![0.3.x][0.3.x-sources-image]][rqt-py-trees-melodic] | [![0.3.x][0.3.x-sources-image]][rqt-py-trees-kinetic] |

[0.7.x-sources-image]: http://img.shields.io/badge/sources-0.7.x-blue.svg?style=plastic
[0.6.x-sources-image]: http://img.shields.io/badge/sources-0.6.x-blue.svg?style=plastic
[0.5.x-sources-image]: http://img.shields.io/badge/sources-0.5.x-blue.svg?style=plastic
[0.4.x-sources-image]: http://img.shields.io/badge/sources-0.4.x-blue.svg?style=plastic
[0.3.x-sources-image]: http://img.shields.io/badge/sources-0.3.x-blue.svg?style=plastic

[bouncy-repository]: http://repo.ros2.org/status_page/ros_bouncy_default.html?q=py_trees
[melodic-repository]: http://repositories.ros.org/status_page/ros_melodic_default.html?q=py_trees
[kinetic-repository]: http://repositories.ros.org/status_page/ros_kinetic_default.html?q=py_trees

[py-trees-0.7.x]: https://github.com/stonier/py_trees/tree/release/0.7.x
[py-trees-0.6.x]: https://github.com/stonier/py_trees/tree/release/0.6.x
[py-trees-0.5.x]: https://github.com/stonier/py_trees/tree/release/0.5.x
[py-trees-msgs-kinetic]: https://github.com/stonier/py_trees_msgs/tree/release/0.3-kinetic
[py-trees-msgs-melodic]: https://github.com/stonier/py_trees_msgs/tree/release/0.3-melodic
[py-trees-ros-kinetic]: https://github.com/stonier/py_trees_ros/tree/release/0.5-kinetic
[py-trees-ros-melodic]: https://github.com/stonier/py_trees_ros/tree/release/0.5-melodic
[rqt-py-trees-kinetic]: https://github.com/stonier/rqt_py_trees/tree/release/0.3-kinetic
[rqt-py-trees-melodic]: https://github.com/stonier/rqt_py_trees/tree/release/0.3-melodic
